Bug 888725 - packstack puppet recipes should set authtoken parameters in *.conf not paste.ini
packstack puppet recipes should set authtoken parameters in *.conf not paste.ini
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
high Severity medium
: snapshot4
: 2.1
Assigned To: Martin Magr
Nir Magnezi
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-19 05:48 EST by Alan Pevec
Modified: 2016-04-26 10:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: openstack-packstack-2012.2.3-0.1.dev454
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-21 14:22:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2012-12-19 05:48:20 EST
Description of problem:
After packstack installation I see that some components have authtoken middleware parameters set in paste.ini instead of application's main .conf

e.g. BAD
/etc/cinder/cinder.conf:admin_tenant_name = %SERVICE_TENANT_NAME%
/etc/cinder/cinder.conf:admin_user = %SERVICE_USER%
/etc/cinder/cinder.conf:admin_password = %SERVICE_PASSWORD%
/etc/cinder/api-paste.ini:admin_password=cinder_default_password
/etc/cinder/api-paste.ini:admin_tenant_name=services
/etc/cinder/api-paste.ini:admin_user=cinder
/etc/nova/api-paste.ini:admin_user=nova
/etc/nova/api-paste.ini:admin_password=nova_default_password
/etc/nova/api-paste.ini:admin_tenant_name=services

vs GOOD
/etc/glance/glance-api.conf:admin_tenant_name = services
/etc/glance/glance-api.conf:admin_user = glance
/etc/glance/glance-api.conf:admin_password = glance_default_password
/etc/glance/glance-registry.conf:admin_tenant_name = services
/etc/glance/glance-registry.conf:admin_user = glance
/etc/glance/glance-registry.conf:admin_password = glance_default_password


Version-Release number of selected component (if applicable):
openstack-packstack-2012.2.2-0.1.dev205.el6ost

Related docs bug 876763
Comment 1 Alan Pevec 2013-01-23 06:24:58 EST
Also related bug 887334
dumping puppet templates over distributed config files removes that effort
ideally augeas or something could be used to edit them instead?
Comment 3 Derek Higgins 2013-02-14 15:54:45 EST
Fix for the nova part of this submitted upstream
https://review.openstack.org/21995
Comment 4 Derek Higgins 2013-02-14 16:26:52 EST
Fix for the cinder part of this submitted upstream
https://review.openstack.org/21997
Comment 6 Nir Magnezi 2013-03-11 09:36:39 EDT
Verified NVR: openstack-packstack-2012.2.3-0.1.dev454.el6ost.noarch

Installed Openstack using packstack.

/etc/cinder/cinder.conf
=======================
admin_tenant_name = services
admin_user = cinder
admin_password = 46b82b2e07984345

/etc/cinder/api-paste.ini
=========================
admin_password, admin_tenant_name and admin_user are no longer present in this file.

/etc/nova/api-paste.ini
=======================
admin_user, admin_password and admin_tenant_name are no longer present in this file.
Comment 9 errata-xmlrpc 2013-03-21 14:22:55 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0671.html

Note You need to log in before you can comment on or make changes to this bug.